Upstream information

CVE-2018-6764 at MITRE

Description

util/virlog.c in libvirt does not properly determine the hostname on LXC container startup, which allows local guest OS users to bypass an intended container protection mechanism and execute arbitrary commands via a crafted NSS module.

SUSE information

Overall state of this security issue: Resolved

This issue is currently rated as having low severity.

CVSS v2 Scores
  National Vulnerability Database
Base Score 4.6
Vector AV:L/AC:L/Au:N/C:P/I:P/A:P
Access Vector Local
Access Complexity Low
Authentication None
Confidentiality Impact Partial
Integrity Impact Partial
Availability Impact Partial
CVSS v3 Scores
  National Vulnerability Database SUSE
Base Score 7.8 6.8
Vector CVSS:3.0/AV:L/AC:L/PR:L/UI:N/S:U/C:H/I:H/A:H CVSS:3.0/AV:L/AC:L/PR:N/UI:N/S:C/C:L/I:L/A:L
Access Vector Local Local
Access Complexity Low Low
Privileges Required Low None
User Interaction None None
Scope Unchanged Changed
Confidentiality Impact High Low
Integrity Impact High Low
Availability Impact High Low
CVSSv3 Version 3 3
SUSE Bugzilla entries: 1080042 [RESOLVED / FIXED], 1088147 [RESOLVED / FIXED]

SUSE Security Advisories:

List of released packages

Product(s) Fixed package version(s) References
SUSE Linux Enterprise Desktop 12 SP2
  • libvirt >= 2.0.0-27.34.1
  • libvirt-client >= 2.0.0-27.34.1
  • libvirt-client-32bit >= 2.0.0-27.34.1
  • libvirt-daemon >= 2.0.0-27.34.1
  • libvirt-daemon-config-network >= 2.0.0-27.34.1
  • libvirt-daemon-config-nwfilter >= 2.0.0-27.34.1
  • libvirt-daemon-driver-interface >= 2.0.0-27.34.1
  • libvirt-daemon-driver-libxl >= 2.0.0-27.34.1
  • libvirt-daemon-driver-lxc >= 2.0.0-27.34.1
  • libvirt-daemon-driver-network >= 2.0.0-27.34.1
  • libvirt-daemon-driver-nodedev >= 2.0.0-27.34.1
  • libvirt-daemon-driver-nwfilter >= 2.0.0-27.34.1
  • libvirt-daemon-driver-qemu >= 2.0.0-27.34.1
  • libvirt-daemon-driver-secret >= 2.0.0-27.34.1
  • libvirt-daemon-driver-storage >= 2.0.0-27.34.1
  • libvirt-daemon-lxc >= 2.0.0-27.34.1
  • libvirt-daemon-qemu >= 2.0.0-27.34.1
  • libvirt-daemon-xen >= 2.0.0-27.34.1
  • libvirt-doc >= 2.0.0-27.34.1
Patchnames:
SUSE-SLE-DESKTOP-12-SP2-2018-576
SUSE Linux Enterprise Desktop 12 SP3
  • libvirt >= 3.3.0-5.19.2
  • libvirt-admin >= 3.3.0-5.19.2
  • libvirt-client >= 3.3.0-5.19.2
  • libvirt-daemon >= 3.3.0-5.19.2
  • libvirt-daemon-config-network >= 3.3.0-5.19.2
  • libvirt-daemon-config-nwfilter >= 3.3.0-5.19.2
  • libvirt-daemon-driver-interface >= 3.3.0-5.19.2
  • libvirt-daemon-driver-libxl >= 3.3.0-5.19.2
  • libvirt-daemon-driver-lxc >= 3.3.0-5.19.2
  • libvirt-daemon-driver-network >= 3.3.0-5.19.2
  • libvirt-daemon-driver-nodedev >= 3.3.0-5.19.2
  • libvirt-daemon-driver-nwfilter >= 3.3.0-5.19.2
  • libvirt-daemon-driver-qemu >= 3.3.0-5.19.2
  • libvirt-daemon-driver-secret >= 3.3.0-5.19.2
  • libvirt-daemon-driver-storage >= 3.3.0-5.19.2
  • libvirt-daemon-driver-storage-core >= 3.3.0-5.19.2
  • libvirt-daemon-driver-storage-disk >= 3.3.0-5.19.2
  • libvirt-daemon-driver-storage-iscsi >= 3.3.0-5.19.2
  • libvirt-daemon-driver-storage-logical >= 3.3.0-5.19.2
  • libvirt-daemon-driver-storage-mpath >= 3.3.0-5.19.2
  • libvirt-daemon-driver-storage-rbd >= 3.3.0-5.19.2
  • libvirt-daemon-driver-storage-scsi >= 3.3.0-5.19.2
  • libvirt-daemon-lxc >= 3.3.0-5.19.2
  • libvirt-daemon-qemu >= 3.3.0-5.19.2
  • libvirt-daemon-xen >= 3.3.0-5.19.2
  • libvirt-doc >= 3.3.0-5.19.2
  • libvirt-libs >= 3.3.0-5.19.2
  • virt-install >= 1.4.1-5.8.1
  • virt-manager >= 1.4.1-5.8.1
  • virt-manager-common >= 1.4.1-5.8.1
Patchnames:
SUSE-SLE-DESKTOP-12-SP3-2018-618
SUSE Linux Enterprise Server 12 SP2
SUSE Linux Enterprise Server for SAP Applications 12 SP2
  • libvirt >= 2.0.0-27.34.1
  • libvirt-client >= 2.0.0-27.34.1
  • libvirt-daemon >= 2.0.0-27.34.1
  • libvirt-daemon-config-network >= 2.0.0-27.34.1
  • libvirt-daemon-config-nwfilter >= 2.0.0-27.34.1
  • libvirt-daemon-driver-interface >= 2.0.0-27.34.1
  • libvirt-daemon-driver-libxl >= 2.0.0-27.34.1
  • libvirt-daemon-driver-lxc >= 2.0.0-27.34.1
  • libvirt-daemon-driver-network >= 2.0.0-27.34.1
  • libvirt-daemon-driver-nodedev >= 2.0.0-27.34.1
  • libvirt-daemon-driver-nwfilter >= 2.0.0-27.34.1
  • libvirt-daemon-driver-qemu >= 2.0.0-27.34.1
  • libvirt-daemon-driver-secret >= 2.0.0-27.34.1
  • libvirt-daemon-driver-storage >= 2.0.0-27.34.1
  • libvirt-daemon-hooks >= 2.0.0-27.34.1
  • libvirt-daemon-lxc >= 2.0.0-27.34.1
  • libvirt-daemon-qemu >= 2.0.0-27.34.1
  • libvirt-daemon-xen >= 2.0.0-27.34.1
  • libvirt-doc >= 2.0.0-27.34.1
  • libvirt-lock-sanlock >= 2.0.0-27.34.1
  • libvirt-nss >= 2.0.0-27.34.1
Patchnames:
SUSE-SLE-SERVER-12-SP2-2018-576
SUSE Linux Enterprise Server 12 SP3
SUSE Linux Enterprise Server for SAP Applications 12 SP3
  • libvirt >= 3.3.0-5.19.2
  • libvirt-admin >= 3.3.0-5.19.2
  • libvirt-client >= 3.3.0-5.19.2
  • libvirt-daemon >= 3.3.0-5.19.2
  • libvirt-daemon-config-network >= 3.3.0-5.19.2
  • libvirt-daemon-config-nwfilter >= 3.3.0-5.19.2
  • libvirt-daemon-driver-interface >= 3.3.0-5.19.2
  • libvirt-daemon-driver-libxl >= 3.3.0-5.19.2
  • libvirt-daemon-driver-lxc >= 3.3.0-5.19.2
  • libvirt-daemon-driver-network >= 3.3.0-5.19.2
  • libvirt-daemon-driver-nodedev >= 3.3.0-5.19.2
  • libvirt-daemon-driver-nwfilter >= 3.3.0-5.19.2
  • libvirt-daemon-driver-qemu >= 3.3.0-5.19.2
  • libvirt-daemon-driver-secret >= 3.3.0-5.19.2
  • libvirt-daemon-driver-storage >= 3.3.0-5.19.2
  • libvirt-daemon-driver-storage-core >= 3.3.0-5.19.2
  • libvirt-daemon-driver-storage-disk >= 3.3.0-5.19.2
  • libvirt-daemon-driver-storage-iscsi >= 3.3.0-5.19.2
  • libvirt-daemon-driver-storage-logical >= 3.3.0-5.19.2
  • libvirt-daemon-driver-storage-mpath >= 3.3.0-5.19.2
  • libvirt-daemon-driver-storage-rbd >= 3.3.0-5.19.2
  • libvirt-daemon-driver-storage-scsi >= 3.3.0-5.19.2
  • libvirt-daemon-hooks >= 3.3.0-5.19.2
  • libvirt-daemon-lxc >= 3.3.0-5.19.2
  • libvirt-daemon-qemu >= 3.3.0-5.19.2
  • libvirt-daemon-xen >= 3.3.0-5.19.2
  • libvirt-doc >= 3.3.0-5.19.2
  • libvirt-libs >= 3.3.0-5.19.2
  • libvirt-lock-sanlock >= 3.3.0-5.19.2
  • libvirt-nss >= 3.3.0-5.19.2
  • virt-install >= 1.4.1-5.8.1
  • virt-manager >= 1.4.1-5.8.1
  • virt-manager-common >= 1.4.1-5.8.1
Patchnames:
SUSE-SLE-SERVER-12-SP3-2018-618
SUSE Linux Enterprise Server for Raspberry Pi 12 SP2
  • libvirt >= 2.0.0-27.34.1
  • libvirt-client >= 2.0.0-27.34.1
  • libvirt-daemon >= 2.0.0-27.34.1
  • libvirt-daemon-config-network >= 2.0.0-27.34.1
  • libvirt-daemon-config-nwfilter >= 2.0.0-27.34.1
  • libvirt-daemon-driver-interface >= 2.0.0-27.34.1
  • libvirt-daemon-driver-lxc >= 2.0.0-27.34.1
  • libvirt-daemon-driver-network >= 2.0.0-27.34.1
  • libvirt-daemon-driver-nodedev >= 2.0.0-27.34.1
  • libvirt-daemon-driver-nwfilter >= 2.0.0-27.34.1
  • libvirt-daemon-driver-qemu >= 2.0.0-27.34.1
  • libvirt-daemon-driver-secret >= 2.0.0-27.34.1
  • libvirt-daemon-driver-storage >= 2.0.0-27.34.1
  • libvirt-daemon-lxc >= 2.0.0-27.34.1
  • libvirt-daemon-qemu >= 2.0.0-27.34.1
  • libvirt-doc >= 2.0.0-27.34.1
  • libvirt-lock-sanlock >= 2.0.0-27.34.1
  • libvirt-nss >= 2.0.0-27.34.1
Patchnames:
SUSE-SLE-RPI-12-SP2-2018-576
SUSE Linux Enterprise Software Development Kit 12 SP2
  • libvirt-devel >= 2.0.0-27.34.1
Patchnames:
SUSE-SLE-SDK-12-SP2-2018-576
SUSE Linux Enterprise Software Development Kit 12 SP3
  • libvirt-devel >= 3.3.0-5.19.2
Patchnames:
SUSE-SLE-SDK-12-SP3-2018-618
SUSE Linux Enterprise Workstation Extension 12 SP2
  • libvirt-client-32bit >= 2.0.0-27.34.1
Patchnames:
SUSE-SLE-WE-12-SP2-2018-576


Status of this issue by product and package

Please note that this evaluation state might be work in progress, incomplete or outdated. Also information for service packs in the LTSS phase is only included for issues meeting the LTSS criteria. If in doubt, feel free to contact us for clarification.

Product(s) Source package State
SUSE CaaS Platform 4.0 libvirt Already fixed
SUSE Enterprise Storage 6 libvirt Already fixed
SUSE Linux Enterprise Desktop 12 SP2 libvirt Released
SUSE Linux Enterprise Desktop 12 SP3 libvirt Released
SUSE Linux Enterprise High Performance Computing 12 SP5 libvirt Already fixed
SUSE Linux Enterprise High Performance Computing 15 LTSS libvirt Already fixed
SUSE Linux Enterprise High Performance Computing 15 SP1 LTSS libvirt Already fixed
SUSE Linux Enterprise Server 11 SP3 LTSS libvirt Not affected
SUSE Linux Enterprise Server 11 SP4 libvirt Not affected
SUSE Linux Enterprise Server 12 LTSS libvirt Unsupported
SUSE Linux Enterprise Server 12 SP2 libvirt Released
SUSE Linux Enterprise Server 12 SP3 libvirt Released
SUSE Linux Enterprise Server 12 SP4 ESPOS libvirt Already fixed
SUSE Linux Enterprise Server 12 SP4 LTSS libvirt Already fixed
SUSE Linux Enterprise Server 12 SP5 libvirt Already fixed
SUSE Linux Enterprise Server 15 LTSS libvirt Already fixed
SUSE Linux Enterprise Server 15 SP1 Business Critical Linux libvirt Already fixed
SUSE Linux Enterprise Server 15 SP1 LTSS libvirt Already fixed
SUSE Linux Enterprise Server ESPOS 15 libvirt Already fixed
SUSE Linux Enterprise Server for SAP Applications 12 libvirt Unsupported
SUSE Linux Enterprise Server for SAP Applications 12 SP3 libvirt Released
SUSE Linux Enterprise Server for SAP Applications 12 SP4 libvirt Already fixed
SUSE Linux Enterprise Server for SAP Applications 12 SP5 libvirt Already fixed
SUSE Linux Enterprise Server for SAP Applications 15 libvirt Already fixed
SUSE Linux Enterprise Server for SAP Applications 15 SP1 libvirt Already fixed
SUSE Linux Enterprise Software Development Kit 11 SP4 libvirt Not affected
SUSE Linux Enterprise Software Development Kit 12 libvirt Released
SUSE Linux Enterprise Software Development Kit 12 SP3 libvirt Released
SUSE Linux Enterprise Workstation Extension 12 SP2 libvirt Released
SUSE Manager Proxy 4.0 libvirt Already fixed
SUSE Manager Retail Branch Server 4.0 libvirt Already fixed
SUSE Manager Server 4.0 libvirt Already fixed
SUSE OpenStack Cloud 9 libvirt Already fixed
SUSE OpenStack Cloud Crowbar 9 libvirt Already fixed